const isHh = location.host.includes('10.196.131.73') //是否是河海版本
const isCH = location.host.includes('124.71.12.62') //是否是巢湖版本
const isBeta = process.env.NODE_ENV === 'development' || location.host.includes('120.78.198.231') //是否是职站测试
const isPro = location.host.includes('occupationlab.com') //是否是职站生产

let host = "";
let title = "";
let schoolId = null;
let systemList = [];
if(isHh) {
    host = "http://10.196.131.73/";
    title = "学生端";
    schoolId = 729;
    systemList = [
        { id: 1, label: 'Python程序设计教学系统', },
        { id: 4, label: '经济金融建模实验教学系统' },
        { id: 6, label: '金融随机过程实验教学系统' },
        { id: 7, label: '量化投资策略建模实验教学系统' },
        { id: 8, label: '大数据分析实验教学系统' }
    ];
} else if(isCH) {
    host = "http://124.71.12.62/";
    title = "学生端";
    schoolId = 1006;
    systemList = [
        { id: 8, label: '大数据分析实验教学系统' }
    ];
} else if(isBeta) {
    host = "http://120.78.198.231/";
    title = "职站";
    schoolId = 2105;
    systemList = [
        { id: 1, label: 'Python程序设计教学系统' },
        // { id: 2, label: '跨国仿真系统' },
        // { id: 3, label: '期权期货系统' },
        { id: 4, label: '经济金融建模实验教学系统' },
        { id: 5, label: 'Python可视化实验教学系统' },
        { id: 6, label: '金融随机过程实验教学系统' },
        { id: 7, label: '量化投资策略建模实验教学系统' },
        { id: 8, label: '大数据分析实验教学系统' },
        { id: 9, label: 'Python数据清洗教学实验系统' },
        { id: 10, label: 'Python数据采集（爬虫）教学实验系统' }
     ]
} else if(isPro) {
    host = "http://www.occupationlab.com/";
    title = "职站";
    schoolId = 2105;
    systemList = [
        { id: 1, label: 'Python程序设计教学系统' },
        { id: 4, label: '经济金融建模实验教学系统' },
        { id: 5, label: 'Python可视化实验教学系统' },
        { id: 6, label: '金融随机过程实验教学系统' },
        { id: 7, label: '量化投资策略建模实验教学系统' },
        { id: 8, label: '大数据分析实验教学系统' },
        { id: 9, label: 'Python数据清洗教学实验系统' },
        { id: 10, label: 'Python数据采集（爬虫）教学实验系统' }
    ];
} else {
    console.log("其它");
}


export default {
    /**
     * @description 域名切换
     */
    host,
    /**
      * @description 是否是河海版本
      */
    isHh,
    /**
     * @description 是否是巢湖版本
     */
    isCH,
    /**
      * @description 是否是职站测试
      */
    isBeta,
    /**
     * @description 是否是职站生产
     */
    isPro,
    /**
     * @description 配置显示在浏览器标签的title
     */
    title,
    /**
     * @description 学校id
     */
    schoolId,
    /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
    locale: 'zh',
    /**
     * @description 跳转子系统链接
     */
    subSystem: 'http://120.78.127.12/pyTrials/#/',
    /**
     * @description 长时间未操作，自动退出登录时间
     */
    autoLogoutTime: 3600000,
    /**
     * @description 系统列表
     */
    systemList,
    /**
     * @description 子系统id（默认为子系统列表中的第一个）
     */
    systemId: systemList[0].id,
}