import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
    mode: 'hash',
    base: process.env.BASE_URL,
    routes: [
    {
        path: '/',
        redirect: '/login',
    },
    {
        path: '/teachingVideo',
        component: () => import(/* webpackChunkName: "home" */ '../components/page/TeachingVideo.vue'),
    },
    {
        path: '/',
        component: () => import(/* webpackChunkName: "home" */ '../components/common/Home.vue'),
        meta: { title: '自述文件' },
        children: [
            {
                path: '/personalcenter',
                component: () => import(/* webpackChunkName: "student" */'../components/page/PersonalCenter.vue'),
                meta: {
                    title: '个人中心'
                }
            },
            {
                path: '/dashboard',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/Dashboard.vue'),
                meta: { title: '管理员' }
            },
            {
                path: '/backstage',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/Backstage.vue'),
                meta: { title: '实验台' }
            },
            {
                path: '/project',
                component: () => import(/* webpackChunkName: "403" */ '../components/page/Project.vue')
            },
            {
                path: '/teacherhome',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/TeacherHome.vue'),
                meta: { title: '教师' }
            },
            {
                path: '/showExperiment',
                component: () => import(/* webpackChunkName: "403" */ '../components/page/ShowExperiment.vue')
            },
            {
                path: '/addassessment',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/AddAssessment.vue'),
                meta: { title: '创建考核' }
            },
            {
                path: '/student',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/Student.vue'),
                meta: { title: '学生' }
            },
            {
                path: '/teacherindex',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/TeacherIndex.vue'),
                meta: { title: '实验教学' }
            },
            {
                path: '/checkresult',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/CheckResult.vue'),
                meta: { title: '查看成绩' }
            },
            {
                path: '/classdetail',
                component: () => import(/* webpackChunkName: "dashboard" */ '../components/page/ClassDetail.vue'),
                meta: { title: '班级详情' }
            },
            {
                path: '/icon',
                component: () => import(/* webpackChunkName: "icon" */ '../components/page/Icon.vue'),
                meta: { title: '自定义图标' }
            },
            {
                path: '/tabs',
                component: () => import(/* webpackChunkName: "tabs" */ '../components/page/Tabs.vue'),
                meta: { title: 'tab选项卡' }
            },
            {
                // 国际化组件
                path: '/i18n',
                component: () => import(/* webpackChunkName: "i18n" */ '../components/page/I18n.vue'),
                meta: { title: '国际化' }
            },
            {
                // 权限页面
                path: '/permission',
                component: () => import(/* webpackChunkName: "permission" */ '../components/page/Permission.vue'),
                meta: { title: '权限测试', permission: true }
            },
            {
                path: '/404',
                component: () => import(/* webpackChunkName: "404" */ '../components/page/404.vue'),
                meta: { title: '404' }
            },
            {
                path: '/403',
                component: () => import(/* webpackChunkName: "403" */ '../components/page/403.vue'),
                meta: { title: '403' }
            }
            ,{
                path: '/examinationResults',
                component: () => import(/* webpackChunkName: "403" */ '../components/page/examinationResults.vue'),
            }
            ,{
                path: '/practiceResults',
                component: () => import(/* webpackChunkName: "403" */ '../components/page/practiceResults.vue'),
            }
            
        ]
    },
    {
        path: '/login',
        component: () => import(/* webpackChunkName: "login" */ '../components/page/Login.vue'),
        meta: { title: '登录' }
    },
    {
        path: '*',
        redirect: '/404'
    }
    ]
});
